GLS ShipIT 3.3.20 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.ws.parcelshopsearch.GetParcelShopInAreaRequestType Class Reference

## Public Member Functions
GLSUserCredentials | getCredentials ()
void | setCredentials (GLSUserCredentials value)
GLSCoordinates | getFrom ()
void | setFrom (GLSCoordinates value)
GLSCoordinates | getTo ()
void | setTo (GLSCoordinates value)

## Protected Attributes
GLSUserCredentials | credentials
GLSCoordinates | from
GLSCoordinates | to

## Detailed Description

Java class for GetParcelShopInAreaRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="GetParcelShopInAreaRequestType">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="Credentials" type="{http://2010_01.ParcelShopSearch.gls-group.eu/ParcelShopSearch/}GLSUserCredentials"/>
            <element name="From" type="{http://2010_01.ParcelShopSearch.gls-group.eu/ParcelShopSearch/}GLSCoordinates"/>
            <element name="To" type="{http://2010_01.ParcelShopSearch.gls-group.eu/ParcelShopSearch/}GLSCoordinates"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 37 of file GetParcelShopInAreaRequestType.java.

## Member Function Documentation

## ◆ getCredentials()

GLSUserCredentials eu.glsgroup.ws.parcelshopsearch.GetParcelShopInAreaRequestType.getCredentials | ( |  | ) |

Gets the value of the credentials property.

Returns
  possible object is GLSUserCredentials

Definition at line 54 of file GetParcelShopInAreaRequestType.java.

## ◆ getFrom()

GLSCoordinates eu.glsgroup.ws.parcelshopsearch.GetParcelShopInAreaRequestType.getFrom | ( |  | ) |

Gets the value of the from property.

Returns
  possible object is GLSCoordinates

Definition at line 78 of file GetParcelShopInAreaRequestType.java.

## ◆ getTo()

GLSCoordinates eu.glsgroup.ws.parcelshopsearch.GetParcelShopInAreaRequestType.getTo | ( |  | ) |

Gets the value of the to property.

Returns
  possible object is GLSCoordinates

Definition at line 102 of file GetParcelShopInAreaRequestType.java.

## ◆ setCredentials()

void eu.glsgroup.ws.parcelshopsearch.GetParcelShopInAreaRequestType.setCredentials | ( | GLSUserCredentials | value | ) |

Sets the value of the credentials property.

Parameters

  value | allowed object is GLSUserCredentials

Definition at line 66 of file GetParcelShopInAreaRequestType.java.

## ◆ setFrom()

void eu.glsgroup.ws.parcelshopsearch.GetParcelShopInAreaRequestType.setFrom | ( | GLSCoordinates | value | ) |

Sets the value of the from property.

Parameters

  value | allowed object is GLSCoordinates

Definition at line 90 of file GetParcelShopInAreaRequestType.java.

## ◆ setTo()

void eu.glsgroup.ws.parcelshopsearch.GetParcelShopInAreaRequestType.setTo | ( | GLSCoordinates | value | ) |

Sets the value of the to property.

Parameters

  value | allowed object is GLSCoordinates

Definition at line 114 of file GetParcelShopInAreaRequestType.java.

## Member Data Documentation

## ◆ credentials

GLSUserCredentials eu.glsgroup.ws.parcelshopsearch.GetParcelShopInAreaRequestType.credentials
| protected

Definition at line 40 of file GetParcelShopInAreaRequestType.java.

## ◆ from

GLSCoordinates eu.glsgroup.ws.parcelshopsearch.GetParcelShopInAreaRequestType.from
| protected

Definition at line 42 of file GetParcelShopInAreaRequestType.java.

## ◆ to

GLSCoordinates eu.glsgroup.ws.parcelshopsearch.GetParcelShopInAreaRequestType.to
| protected

Definition at line 44 of file GetParcelShopInAreaRequestType.java.

The documentation for this class was generated from the following file:

- GetParcelShopInAreaRequestType.java